import numpy as np
from scico import plot, functional


N = 256
g0 = np.linspace(0, 2 * np.pi, N).reshape((N, 1))
g1 = np.linspace(0, 2 * np.pi, N).reshape((1, N))
x = np.cos(3 * g0) * np.sin(2 * g1)

f = functional.TV2DNorm(10.0)
y = f.prox(x, 1.0)

m = 128
plot.plot(np.vstack((x[m], y[m])).T, lgnd=("x", "y"))

input()
